Name:           python-mat2
Version:        0.13.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        mat2 is a metadata removal tool, supporting a wide range of commonly used file formats, written in python3: at its core, it's a library, used by an eponymous command-line interface, as well as several file manager extensions.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://0xacab.org/jvoisin/mat2
Source:         %{pypi_source mat2}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mat2' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mat2
Summary:        %{summary}

%description -n python3-mat2 %_description


%prep
%autosetup -p1 -n mat2-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mat2 -f %{pyproject_files}


%changelog
%autochangelog